# $Revision: 1.22 $, $Date: 2002/07/20 23:09:19 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	GD
%define	pnam	TextUtil
Summary:	GD::TextUtil perl module
Summary(pl):	Modu perla GD::TextUtil
Name:		perl-GD-TextUtil
Version:	0.83
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-GD
BuildRequires:	rpm-perlprov >= 3.0.3-18
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GD::TextUtil perl module - Text utilities for use with the GD drawing
package.

%description -l pl
Modu perla GD::TextUtil - narzdzia do obrbki tekstu przeznaczone do
uywania z pakietem rysujcym GD.

%prep
%setup -q -n %{pdir}%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install demo/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/GD/Text.pm
%{perl_sitelib}/GD/Text
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-GD-TextUtil.spec,v $
Revision 1.22  2002/07/20 23:09:19  qboosh
- %%{perl_sitelib}/GD dir moved to perl-GD; release 2

Revision 1.21  2002/07/20 15:03:58  qboosh
- updated to 0.83

Revision 1.20  2002/07/13 15:39:20  qboosh
- new %%doc, cosmetics
- added %%{perl_sitelib}/GD dir to package - GD::TextUtil is common
  requirement for all other packages that place files in this dir
- release 3

Revision 1.19  2002/07/10 08:47:24  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.18  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.17  2002/03/03 22:07:38  marcus
- rel.2.

Revision 1.16  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/09 11:04:25  kloczek
- updated to 0.82.

Revision 1.14  2002/01/18 02:14:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:09:27  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/23 14:21:52  kloczek
- updated to 0.80.

Revision 1.9  2001/01/06 08:12:49  kloczek
- typo.

Revision 1.8  2001/01/06 08:10:23  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/09/05 07:24:20  kloczek
- updated to 0.75.

Revision 1.6  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.5  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/19 22:53:34  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:52  baggins
- translated kloczkish into english

Revision 1.1  2000/02/17 23:36:15  pius
- initial release
